## ros-foxy-examples-rclcpp-minimal-action-client 0.9.4

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)
project(examples_rclcpp_minimal_action_client)

# Default to C++14
if(NOT CMAKE_CXX_STANDARD)
  set(CMAKE_CXX_STANDARD 14)
endif()

if(CMAKE_COMPILER_IS_GNUCXX OR CMAKE_CXX_COMPILER_ID MATCHES "Clang")
  add_compile_options(-Wall -Wextra -Wpedantic)
endif()

find_package(ament_cmake REQUIRED)
find_package(example_interfaces REQUIRED)
find_package(rclcpp REQUIRED)
find_package(rclcpp_action REQUIRED)

add_executable(action_client_member_functions member_functions.cpp)
ament_target_dependencies(action_client_member_functions
  "rclcpp"
  "rclcpp_action"
  "example_interfaces")

add_executable(action_client_not_composable not_composable.cpp)
ament_target_dependencies(action_client_not_composable
  "rclcpp"
  "rclcpp_action"
  "example_interfaces")

add_executable(action_client_not_composable_with_cancel not_composable_with_cancel.cpp)
ament_target_dependencies(action_client_not_composable_with_cancel
  "rclcpp"
  "rclcpp_action"
  "example_interfaces")

add_executable(action_client_not_composable_with_feedback not_composable_with_feedback.cpp)
ament_target_dependencies(action_client_not_composable_with_feedback
  "rclcpp"
  "rclcpp_action"
  "example_interfaces")

if(BUILD_TESTING)
  find_package(ament_lint_auto REQUIRED)
  ament_lint_auto_find_test_dependencies()
endif()

install(TARGETS
  action_client_member_functions
  action_client_not_composable
  action_client_not_composable_with_cancel
  action_client_not_composable_with_feedback
  DESTINATION lib/${PROJECT_NAME})

ament_package()

=== debian/changelog ===
ros-foxy-examples-rclcpp-minimal-action-client (0.9.4-1focal) focal; urgency=high

  * Added common linters (#265 <https://github.com/ros2/examples/issues/265>)
  * Contributors: Alejandro Hernández Cordero

 -- Jacob Perron <jacob@openrobotics.org>  Tue, 08 Dec 2020 08:00:00 -0000

ros-foxy-examples-rclcpp-minimal-action-client (0.9.3-1focal) focal; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Tue, 23 Jun 2020 07:00:00 -0000

ros-foxy-examples-rclcpp-minimal-action-client (0.9.2-1focal) focal; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Mon, 01 Jun 2020 07:00:00 -0000

ros-foxy-examples-rclcpp-minimal-action-client (0.9.1-1focal) focal; urgency=high

  * Fixed action_client sequence type (#268 <https://github.com/ros2/examples/issues/268>)
  * Contributors: Alejandro Hernández Cordero

 -- Jacob Perron <jacob@openrobotics.org>  Tue, 26 May 2020 07:00:00 -0000

ros-foxy-examples-rclcpp-minimal-action-client (0.9.0-1focal) focal; urgency=high

  * avoid new deprecations (#267 <https://github.com/ros2/examples/issues/267>)
  * Restructure rclcpp folders (#264 <https://github.com/ros2/examples/issues/264>)
  * Contributors: Marya Belanger, William Woodall

 -- Jacob Perron <jacob@openrobotics.org>  Thu, 30 Apr 2020 07:00:00 -0000

ros-foxy-examples-rclcpp-minimal-action-client (0.8.2-1focal) focal; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Tue, 19 Nov 2019 08:00:00 -0000

ros-foxy-examples-rclcpp-minimal-action-client (0.8.1-1focal) focal; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Thu, 24 Oct 2019 07:00:00 -0000

ros-foxy-examples-rclcpp-minimal-action-client (0.7.3-1focal) focal; urgency=high

  * Use action client get result method (#245 <https://github.com/ros2/examples/issues/245>)
    Since a result callback is not provided when sending the goal, the goal handle is not "result aware"
    and calling the action client method will make it so.
    The behaviour was changed in https://github.com/ros2/rclcpp/pull/701.
  * Contributors: Jacob Perron

 -- Jacob Perron <jacob@openrobotics.org>  Wed, 29 May 2019 07:00:00 -0000

ros-foxy-examples-rclcpp-minimal-action-client (0.7.2-1focal) focal; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Mon, 20 May 2019 07:00:00 -0000

ros-foxy-examples-rclcpp-minimal-action-client (0.7.1-1focal) focal; urgency=high

  * Avoid deprecated API's by providing history settings (#240 <https://github.com/ros2/examples/issues/240>)
  * Add rclcpp action examples using member functions
  * Use options struct when action client sends a goal
  * Contributors: Jacob Perron, William Woodall

 -- Jacob Perron <jacob@openrobotics.org>  Wed, 08 May 2019 07:00:00 -0000

ros-foxy-examples-rclcpp-minimal-action-client (0.7.0-1focal) focal; urgency=high

  * Updated to use separated action types. (#227 <https://github.com/ros2/examples/issues/227>)
  * Contributors: Dirk Thomas

 -- Jacob Perron <jacob@openrobotics.org>  Sun, 14 Apr 2019 07:00:00 -0000

ros-foxy-examples-rclcpp-minimal-action-client (0.6.2-1focal) focal; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Fri, 08 Feb 2019 08:00:00 -0000

ros-foxy-examples-rclcpp-minimal-action-client (0.6.1-1focal) focal; urgency=high

  * Rclcpp action examples (#220 <https://github.com/ros2/examples/issues/220>)
    * Add minimal_action_server package
    Contains a non-composable implementation with global variables.
    * Add minimal_action_client package
    Contains a non-composable implementation.
    * Add action client example with feedback
    * async python action client example
    * goal -> future
    * fibb -> fib"
    * Syncronous action client example
    * No break statement
    * Update client examples to use separate rcl_action package
    * Add ClientGoalHandle to action client examplesj
    * Add action client with cancel example
    * python non-composable server example
    * [wip] Update action server cpp example
    * remove unnecessary event
    * create_action_server -> ActionServer
    * missing paren
    * Add example of multiple goals in parallel
    * No need for lock
    * Reentrant callback group for execute
    * create_action_client -> ActionClient
    * Fix copyright date
    * )
    * -)
    * Refactor action server cpp example
    * Fix action server cpp example
    Seed the fibonacci sequence and remove const.
    * Fix action server cpp example
    Forgot to increment in Fibonacci sequence loop.
    * Syntax fixes
    * node -> self
    * handle cb returns accept or reject
    * Update action client cpp example
    Return goal handle (containing future) when sending a goal.
    * Preempt goals
    * whitespace removal
    * execute returns result
    * Add missing resources
    * Syntax error
    * Add rcl_action dependency
    * Update maintainer
    * Use goal message getter and alias ResultResponse type
    * Make minimal_action_server work with rclcpp_action
    * Client and server communicate
    * handle_execute -> handle_accepted
    * Check if goal was rejected by server
    * Update example to check result
    * action client cancel example C++ works
    * misc changes to compile
    * misc client api changes
    * Remove python examples
    * Wait for action server
  * Contributors: Shane Loretz

 -- Jacob Perron <jacob@openrobotics.org>  Fri, 07 Dec 2018 08:00:00 -0000

ros-foxy-examples-rclcpp-minimal-action-client (0.6.0-1focal) focal; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Tue, 20 Nov 2018 08:00:00 -0000

ros-foxy-examples-rclcpp-minimal-action-client (0.5.1-1focal) focal; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Wed, 27 Jun 2018 07:00:00 -0000

ros-foxy-examples-rclcpp-minimal-action-client (0.5.0-1focal) focal; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Tue, 26 Jun 2018 07:00:00 -0000

ros-foxy-examples-rclcpp-minimal-action-client (0.4.0-1focal) focal; urgency=high





=== debian/control ===
Source: ros-foxy-examples-rclcpp-minimal-action-client
Section: misc
Priority: optional
Maintainer: Jacob Perron <jacob@openrobotics.org>
Build-Depends: debhelper (>= 9.0.0), ros-foxy-ament-cmake, ros-foxy-ament-lint-auto, ros-foxy-ament-lint-common, ros-foxy-example-interfaces, ros-foxy-rclcpp, ros-foxy-rclcpp-action, ros-foxy-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-foxy-examples-rclcpp-minimal-action-client
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-foxy-example-interfaces, ros-foxy-rclcpp, ros-foxy-rclcpp-action, ros-foxy-ros-workspace
Description: Minimal action client examples

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/foxy/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/foxy" \
		-DAMENT_PREFIX_PATH="/opt/ros/foxy" \
		-DCMAKE_PREFIX_PATH="/opt/ros/foxy"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-foxy-examples-rclcpp-minimal-action-client//opt/ros/foxy/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_auto_install
